| ICM42370P eMD Driver 2.2.7 Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

Files | Classes | Functions
Self-Test

High-level functions for Self-Test procedures. More...

## Files
file | inv_imu_selftest.h

## Classes
struct | inv_imu_selftest_parameters_t
| Self-test input parameters. More...
struct | inv_imu_selftest_output_t
| Self-test routine outputs. More...

## Functions
int | inv_imu_run_selftest (struct inv_imu_device *s, const inv_imu_selftest_parameters_t st_params, inv_imu_selftest_output_t *st_output)
| Execute self-test. More...
int | inv_imu_init_selftest_parameters_struct (struct inv_imu_device *s, inv_imu_selftest_parameters_t *selftest_params)
| Fill the self-test configuration structure with default configuration. More...
int | inv_imu_load_selftest_data (struct inv_imu_device *s)
| Load self-test data. More...

## Detailed Description

High-level functions for Self-Test procedures.

## Function Documentation

## ◆ inv_imu_init_selftest_parameters_struct()

int inv_imu_init_selftest_parameters_struct | ( | struct inv_imu_device * | s,
|  | inv_imu_selftest_parameters_t * | selftest_params
| ) |  |

Fill the self-test configuration structure with default configuration.

Parameters

  [in] | s | Pointer to device.
  [in] | selftest_params | Self-test parameters to be initialized.

Returns
  0 on success, negative value on error.

## ◆ inv_imu_load_selftest_data()

int inv_imu_load_selftest_data | ( | struct inv_imu_device * | s | ) |

Load self-test data.

Parameters

  [in] | s | Pointer to device.

Returns
  0 on success, negative value on error.

## ◆ inv_imu_run_selftest()

int inv_imu_run_selftest | ( | struct inv_imu_device * | s,
|  | const inv_imu_selftest_parameters_t | st_params,
|  | inv_imu_selftest_output_t * | st_output
| ) |  |

Execute self-test.

Parameters

  [in] | s | Pointer to device.
  [in] | st_params | Self-test parameters.
  [out] | st_output | Self-test results.

Returns
  0 on success, negative value on error.